/* Default CSS Code */

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  font-size: 62.5%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
  scroll-behavior: smooth;
}

:focus * {
  outline: 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
a,
span,
li,
button {
  font-size: inherit;
  font-weight: inherit;
  margin: 0;
  padding: 0;
}

h1,
h2 {
  font-family: "Berkshire Swash", serif;
  font-weight: 400;
}

button {
  cursor: pointer;
  border: 0;
  padding: 0;
  background: transparent;
}

button:focus {
  outline: 0;
}

ul,
p {
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
  display: inline-block;
  vertical-align: middle;
}

a:hover {
  text-decoration: none;
}

li {
  list-style-type: none;
}

label {
  display: block;
  cursor: pointer;
}

input {
  width: 100%;
}

img,
svg {
  width: 100%;
  max-width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}

.overflow-hidden {
  overflow: hidden;
}

.hidden {
  display: none;
}

.font--80 {
  font-size: 80px;
  line-height: 1.1;
}

.container {
  width: 100%;
  max-width: 1944px;
  margin-left: auto;
  margin-right: auto;
}

/* 

font-family: "Berkshire Swash", serif;
font-family: "Poppins", sans-serif;

*/

body {
  font-family: "Poppins", sans-serif;
  font-size: 20px;
  line-height: 1.2;
  font-weight: 400;
  background: #000000;
  color: #fff;
}

#video-background {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  min-width: 100%;
  max-height: 1034px;
  max-width: 100%;
}



/* Default CSS Code */

/* Reusable CSS */

.custom-btn {
  font-family: "Berkshire Swash", serif;
  font-size: 36px;
  line-height: 1;
  letter-spacing: -0.6px;
  padding: 10px 30px;
  width: fit-content;
  height: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: linear-gradient(-45deg, #946821 0%, #daa03e 55%, #9a6b23 100%);
  color: #000000;
  border-radius: 119px;
  -webkit-border-radius: 119px;
  -moz-border-radius: 119px;
  -ms-border-radius: 119px;
  -o-border-radius: 119px;
  box-shadow: 0px 4px 15px 5px rgba(132, 66, 0, 0.5);
  transform: scale(1);
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  -ms-transform: scale(1);
  -o-transform: scale(1);
  transition: all 0.2s ease-in-out;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
}

.custom-btn:hover {
  transform: scale(1.1);
  -webkit-transform: scale(1.1);
  -moz-transform: scale(1.1);
  -ms-transform: scale(1.1);
  -o-transform: scale(1.1);
}

.custom-btn--center {
  margin-left: auto;
  margin-right: auto;
}

.heading-style {
  width: fit-content;
  text-align: center;
  margin-left: auto;
  margin-right: auto;
}

.heading-style__text {
  font-size: 60px;
  transform: rotate(-4deg);
  -webkit-transform: rotate(-4deg);
  -moz-transform: rotate(-4deg);
  -ms-transform: rotate(-4deg);
  -o-transform: rotate(-4deg);
}

.heading-style__text.big-text {
  font-size: 120px;
  transform: rotate(-4deg);
  -webkit-transform: rotate(-4deg);
  -moz-transform: rotate(-4deg);
  -ms-transform: rotate(-4deg);
  -o-transform: rotate(-4deg);
}

.input-style--date {
  max-width: 100%;
  -webkit-appearance: none;
}

.heading-style__text span {
  display: block;
  font-size: 32px;
}

.heading-style__text.big-text span {
  display: block;
  font-size: 64px;
}

.heading-style__line {
  width: 180px;
  height: auto;
  object-fit: contain;
  margin-left: auto;
  margin-right: auto;
}

.contact-logo {
  max-width: 80px;
  margin: 50px auto 0;
}

.contact-links {
  text-align: center;
}

.contact-logo-lookad {
  max-width: 50px;
  margin-top: 30px;
}

.view--mobile {
  display: none;
}

/* Reusable CSS */

/* Header Area */
.header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 9999;
  padding-top: 26px;
}

.navbar {
  position: fixed;
  margin: auto;
  left: 0;
  right: 0;
}

#recipe-file-name {
  margin-top: 20px;
  text-align: center;
  color: #5f8a15;
  font-weight: 600;
}

.navbar__links {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 38px;
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
  padding: 13px 32px;
  background: #fbead6;
  border: 1px solid #a66e35;
  border-radius: 32px;
  -webkit-border-radius: 32px;
  -moz-border-radius: 32px;
  -ms-border-radius: 32px;
  -o-border-radius: 32px;
  box-shadow: 0px 4px 13px 0px rgba(43, 22, 0, 0.45);
}

.navbar__link {
  position: relative;
  font-size: 16px;
  line-height: 1;
  font-weight: 600;
  color: #000000;
  text-transform: uppercase;
  transition: all 0.25s ease-in-out;
  -webkit-transition: all 0.25s ease-in-out;
  -moz-transition: all 0.25s ease-in-out;
  -ms-transition: all 0.25s ease-in-out;
  -o-transition: all 0.25s ease-in-out;
}

.navbar__link::after {
  content: "";
  position: absolute;
  background: #a66e35;
  top: 50%;
  right: -16px;
  width: 2px;
  height: 18px;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
}

.navbar__links li:last-child .navbar__link::after {
  display: none;
}

.navbar__link--active,
.navbar__link:hover {
  color: #a66e35;
}

.navbar__toggler-area {
  position: absolute;
  top: 42px;
  right: 44px;
  width: fit-content;
  display: none;
}

.navbar__toggler-area p {
  font-weight: 600;
  font-size: 12px;
  text-transform: uppercase;
  color: #fbead6;
  text-align: center;
  margin-top: 5px;
}

.navbar__toggler {
  width: 56px;
  height: 56px;
  background: #fbead6;
  padding: 0 14px;
  border-radius: 50%;
  -webkit-border-radius: 50%;
  -moz-border-radius: 50%;
  -ms-border-radius: 50%;
  -o-border-radius: 50%;
  border: 1px solid #a66e35;
}

.toggle-bar {
  margin-bottom: 4px;
  display: block;
  width: 100%;
  height: 3px;
  background: #a66e35;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 0.15s;
  transition-duration: 0.25s;
  transition-timing-function: linear;
  border-radius: 1.5px;
  -webkit-border-radius: 1.5px;
  -moz-border-radius: 1.5px;
  -ms-border-radius: 1.5px;
  -o-border-radius: 1.5px;
}

.toggle-bar:last-of-type {
  margin-bottom: 0;
}

.navbar__toggler.change .bar1 {
  margin-bottom: 0;
  transform: rotate(-40deg) translate(-3px, 3px);
  -webkit-transform: rotate(-40deg) translate(-3px, 3px);
  -moz-transform: rotate(-40deg) translate(-3px, 3px);
  -ms-transform: rotate(-40deg) translate(-3px, 3px);
  -o-transform: rotate(-40deg) translate(-3px, 3px);
}

.navbar__toggler.change .bar2 {
  margin-bottom: 0;
  opacity: 0;
}

.navbar__toggler.change .bar3 {
  margin-bottom: 0;
  transform: rotate(40deg) translate(-1px, -1px);
  -webkit-transform: rotate(40deg) translate(-1px, -1px);
  -moz-transform: rotate(40deg) translate(-1px, -1px);
  -ms-transform: rotate(40deg) translate(-1px, -1px);
  -o-transform: rotate(40deg) translate(-1px, -1px);
}

/* Header Area */

/* Hero Area */
.hero {
  position: relative;
  width: 100%;
  height: 1035px;
  display: flex;
  align-items: center;
  justify-content: center;
  background: linear-gradient(to top, rgba(0, 0, 0, 1), rgba(0, 0, 0, 0));
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}

.hero__logo {
  position: absolute;
  top: 215px;
  left: 0;
  width: 305px;
  height: auto;
  object-fit: contain;
}

.hero__content {
  position: relative;
  width: 100%;
  max-width: 531px;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

.hero-pack-image {
  width: 460px;
  height: auto;
  object-fit: contain;
  position: absolute;
  top: 168px;
  left: calc(100% + 78px);
}

.hero__content h1 {
  color: #fff;
  font-size: 131px;
  line-height: 1.1;
}

.hero__content p {
  color: #fff;
  font-size: 40px;
  line-height: 1.2;
  font-weight: 400;
  margin-top: 28px;
}

.hero__content p span {
  font-weight: 700;
  text-transform: uppercase;
}

.hero__content .custom-btn {
  margin-top: 28px;
}

/* Hero Area */

/* Wziac Area */
.wziac {
  padding-top: 48px;
  padding-bottom: 80px;
  background: #000;
}

.wziac__items {
  display: flex;
  text-align: center;
  gap: 64px;
  margin-top: 96px;
}

.wziac__item {
  flex: 1;
}

.wziac__item h3 {
  font-size: 32px;
  color: #a66e35;
  text-transform: uppercase;
}

.wziac__item p {
  margin-top: 16px;
}

.wziac .custom-btn {
  margin-top: 96px;
}

/* Wziac Area */

/* Glowna Area */
.glowna {
  padding-top: 80px;
}

.main__bg {
  margin-top: 80px;
  position: relative;
  height: 911px;
  background:
    linear-gradient(
      to top,
      rgba(0, 0, 0, 1) 0%,
      rgba(0, 0, 0, 0.15) 37%,
      rgba(0, 0, 0, 1) 100%
    ),
    url("../images/głowna.jpg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.label-shadow {
  object-fit: contain;
  filter: drop-shadow(5px 11px 5.4px rgba(0, 0, 0, 0.57));
}

.main__voucher {
  position: absolute;
  width: 268px;
  height: 268px;
  top: 130px;
  left: 50%;
  transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
  -moz-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  -o-transform: translateX(-50%);
}

/* Glowna Area */

/* Dodatkowe Area */
.dodatkowe {
  padding-top: 80px;
  padding-bottom: 100px;
}

.additional__items {
  margin-top: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 80px;
}

.additional__item {
  position: relative;
  width: 100%;
  height: 600px;
}

.additional__item--1 {
  max-width: 546px;
}

.additional__item--2 {
  max-width: 688px;
}

.label--dodatkowe {
  position: absolute;
  width: 262px;
  height: 262px;
  top: 0;
  left: 0;
  z-index: 10;
}

.additional__item-image {
  width: fit-content;
  margin-left: auto;
  object-fit: contain;
  position: relative;
  z-index: 20;
}

/* Dodatkowe Area */

/* Formularz Area */
.formularz {
  padding: 80px 0;
  background: #fbead6;
}

.formularz h2 {
  color: #000000;
}

.custom-form {
  margin-top: 48px;
  width: 100%;
  max-width: 846px;
  margin-left: auto;
  margin-right: auto;
}

.custom-form__inputs {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 48px;
}

.input-style {
  width: 100%;
  height: 62px;
  outline: none;
  font-size: 16px;
  color: #a66e35;
  padding: 12px 30px;
  border: 1px solid #a66e35;
  border-radius: 119px;
  -webkit-border-radius: 119px;
  -moz-border-radius: 119px;
  -ms-border-radius: 119px;
  -o-border-radius: 119px;
}

::-webkit-input-placeholder {
  color: #a66e35;
}
:-ms-input-placeholder {
  color: #a66e35;
}
::-moz-placeholder {
  color: #a66e35;
  opacity: 1;
}
:-moz-placeholder {
  color: #a66e35;
  opacity: 1;
}

.input__wrap {
  position: relative;
}

.input__wrap-icon {
  position: absolute;
  top: 50%;
  right: 20px;
  width: 28px;
  height: 28px;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
}

.custom-file-btn {
  background: #000000;
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
  padding: 20px 30px;
  border: 1px solid #a66e35;
  text-transform: uppercase;
  margin-top: 48px;
  border-radius: 119px;
  -webkit-border-radius: 119px;
  -moz-border-radius: 119px;
  -ms-border-radius: 119px;
  -o-border-radius: 119px;
  filter: drop-shadow(0px 4px 20px rgba(83, 41, 0, 0.5));
  -webkit-filter: drop-shadow(0px 4px 20px rgba(83, 41, 0, 0.5));
  transition: all 0.2s ease-in-out;
  -webkit-transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -ms-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
}

.custom-file-btn div {
  display: flex;
  width: fit-content;
  margin: auto;
  align-items: center;
  text-align: center;
  gap: 20px;
  font-size: 20px;
  line-height: 1;
  font-weight: 500;
  color: #fbead6;
}

.custom-file-btn div.under-line {
  display: flex;
  align-items: center;
  font-size: 14px;
  line-height: 1;
  font-weight: 400;
  color: #fbead6;
  margin-top: 10px;
}

.custom-file-btn img {
  width: 34px;
  height: 34px;
  object-fit: contain;
}

.custom-file-btn:hover {
  background: #a66e35;
}

.input-style--text-area {
  margin-top: 48px;
  text-align: left;
  height: 237px;
  border-radius: 48px;
  -webkit-border-radius: 48px;
  -moz-border-radius: 48px;
  -ms-border-radius: 48px;
  -o-border-radius: 48px;
  resize: none;
}

.custom-form__terms h3 {
  font-size: 20px;
  color: #a66e35;
  font-weight: 400;
  margin-top: 48px;
  margin-bottom: 30px;
}

.custom-form__terms h3 span {
  text-decoration: underline;
  text-decoration-thickness: 1px;
}

.custom-form__terms p {
  font-size: 14px;
  line-height: 1.3;
  color: #a66e35;
  flex: 1;
}

.custom-form .custom-btn {
  margin-top: 48px;
}

/* Custom Checkbox */
.checkbox-wrapper {
  display: flex;
  align-items: center;
  gap: 8px;
  margin-top: 32px;
}

.custom-checkbox {
  display: none;
}

.checkbox-label {
  display: flex;
  gap: 16px;
  cursor: pointer;
}

.checkbox-icon {
  display: block;
  width: 22px;
  height: 22px;
  background-color: #ffffff;
  border: 1px solid #a66e35;
}

.checkbox-text {
  font-size: 14px;
  line-height: 1.4;
  font-weight: 400;
  color: #a66e35;
}

.custom-checkbox:checked + .checkbox-label .checkbox-icon {
  background-image: url(../images/tick.png);
  background-size: 20px;
  background-position: center;
  background-repeat: no-repeat;
}

.recaptha-area {
  width: fit-content;
  margin: 32px auto 0;
  float: initial;
}

/* Custom Checkbox */

/* Formularz Area */

/* Footer Area */
.footer {
  background: #fff;
  padding: 80px 0;
}

.footer h2 {
  color: #000000;
}

.footer__address {
  margin-top: 48px;
}

.footer__address p,
.footer__address a {
  color: #000000;
  font-size: 16px;
  line-height: 1.5;
}

.footer__address p {
  display: flex;
  justify-content: center;
  gap: 4px;
  text-align: center;
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
}

.footer__address p.strong {
  font-weight: bold;
  font-size: 20px;
  text-decoration: underline;
}

.footer__address a {
  display: block;
  text-align: center;
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
}

.footer__address a:hover {
  text-decoration: underline;
}

.footer__mail {
  margin-top: 28px;
}

.footer__links {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 37px;
  margin-top: 48px;
}

.footer__links li,
.footer__links li a {
  color: #000000;
  font-size: 16px;
  line-height: 1.5;
}

.footer__links li {
  position: relative;
}

.footer__links li::after {
  content: "";
  position: absolute;
  top: 50%;
  right: -17px;
  width: 2px;
  height: 14px;
  background: #000000;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -o-transform: translateY(-50%);
}

.footer__links li:last-child::after {
  display: none;
}

.footer__links li a {
  text-transform: uppercase;
}

.footer__links li a:hover {
  text-decoration: underline;
}

/* Footer Area */

/* Modal Area */
.form-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99999;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  visibility: hidden;
}

.form-modal--active {
  opacity: 1;
  visibility: visible;
}

.form-modal__box {
  position: relative;
  background: #fff;
  width: 100%;
  max-width: 967px;
  padding: 50px;
  border-radius: 24px;
  -webkit-border-radius: 24px;
  -moz-border-radius: 24px;
  -ms-border-radius: 24px;
  -o-border-radius: 24px;
  box-shadow: 0px 0px 100px 4px rgba(132, 66, 0, 0.5);
}

.form-modal__heading {
  padding-top: 30px;
  margin-bottom: 40px;
}

.form-modal__heading img {
  width: 48px;
  height: 48px;
  object-fit: contain;
  margin-left: auto;
  margin-right: auto;
}

.form-modal__heading h3 {
  font-size: 24px;
  font-weight: 500;
  color: #a66e35;
  text-align: center;
  margin-top: 14px;
}

.form-modal__content p {
  font-size: 22px;
  line-height: 1.4;
  color: #a66e35;
  text-align: center;
  margin-bottom: 40px;
}

.form-modal__content p:last-of-type {
  margin-bottom: 0;
}

.form-modal__content .custom-btn {
  margin-top: 40px;
}

.form-modal__close {
  position: absolute;
  top: 35px;
  right: 50px;
  width: 48px;
  height: 48px;
}

.form-modal__close img {
  object-fit: contain;
}

/* Modal Area */


/* Modal Area */
.recipe-info-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99999;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  visibility: hidden;
}

.recipe-info-modal--active {
  opacity: 1;
  visibility: visible;
}

.recipe-info-modal__box {
  position: relative;
  background: #fff;
  width: 620px;
  max-width: 100%;
  padding: 50px;
  border-radius: 24px;
  -webkit-border-radius: 24px;
  -moz-border-radius: 24px;
  -ms-border-radius: 24px;
  -o-border-radius: 24px;
  box-shadow: 0px 0px 100px 4px rgba(132, 66, 0, 0.5);
}

.recipe-info-modal__heading {
  padding-top: 30px;
  margin-bottom: 40px;
}

.recipe-info-modal__heading img {
  width: 48px;
  height: 48px;
  object-fit: contain;
  margin-left: auto;
  margin-right: auto;
}

.recipe-info-modal__heading h3 {
  font-size: 24px;
  font-weight: 500;
  color: #a66e35;
  text-align: center;
  margin-top: 14px;
}

.recipe-info-modal__content p {
  font-size: 22px;
  line-height: 1.4;
  color: #a66e35;
  text-align: center;
  margin-bottom: 40px;
}
.recipe-info-modal__content img {
  width: 400px;
  max-width: 100%;
  max-height: 400px;
  margin: auto;
  display: block;
  float: initial;
}

.recipe-info-modal__content p:last-of-type {
  margin-bottom: 0;
}

.recipe-info-modal__content .custom-btn {
  margin-top: 40px;
}

.recipe-info-modal__close {
  position: absolute;
  top: 35px;
  right: 50px;
  width: 48px;
  height: 48px;
}

.recipe-info-modal__close img {
  object-fit: contain;
}

/* Modal Area */
